- Main Page
- Modules
- Namespaces
- Classes
- Files

Functions

# GLM_GTX_norm: Vector norm calculations

GTX Extensions (Experimental)

Various way to compute vector norms. More...

## Functions
template<typename T >
T | distance2 (const T p0, const T p1)
| Returns the squared distance between p0 and p1, i.e., length(p0 - p1).
template<typename T >
T | distance2 (const detail::tvec3< T > &p0, const detail::tvec3< T > &p1)
| Returns the squared distance between p0 and p1, i.e., length(p0 - p1).
template<typename T >
T | distance2 (const detail::tvec4< T > &p0, const detail::tvec4< T > &p1)
| Returns the squared distance between p0 and p1, i.e., length(p0 - p1).
template<typename T >
T | distance2 (const detail::tvec2< T > &p0, const detail::tvec2< T > &p1)
| Returns the squared distance between p0 and p1, i.e., length(p0 - p1).
template<typename T >
T | l1Norm (const detail::tvec3< T > &x, const detail::tvec3< T > &y)
| Returns the L1 norm between x and y.
template<typename T >
T | l1Norm (const detail::tvec3< T > &v)
| Returns the L1 norm of v.
template<typename T >
T | l2Norm (const detail::tvec3< T > &x)
| Returns the L2 norm of v.
template<typename T >
T | l2Norm (const detail::tvec3< T > &x, const detail::tvec3< T > &y)
| Returns the L2 norm between x and y.
template<typename T >
T | length2 (const detail::tvec4< T > &x)
| Returns the squared length of x.
template<typename T >
T | length2 (const T x)
| Returns the squared length of x.
template<typename T >
T | length2 (const detail::tvec2< T > &x)
| Returns the squared length of x.
template<typename T >
T | length2 (const detail::tvec3< T > &x)
| Returns the squared length of x.
template<typename T >
T | length2 (const detail::tquat< T > &q)
| Returns the squared length of x.
template<typename T >
T | lxNorm (const detail::tvec3< T > &x, unsigned int Depth)
| Returns the L norm of v.
template<typename T >
T | lxNorm (const detail::tvec3< T > &x, const detail::tvec3< T > &y, unsigned int Depth)
| Returns the L norm between x and y.

## Detailed Description

Various way to compute vector norms.

<glm/gtx/norm.hpp> need to be included to use these functionalities.

## Function Documentation

T glm::gtx::norm::distance2 | ( | const T | p0,
|  | const T | p1
| ) |  |

Returns the squared distance between p0 and p1, i.e., length(p0 - p1).

From GLM_GTX_norm extension.

T glm::gtx::norm::distance2 | ( | const detail::tvec3< T > & | p0,
|  | const detail::tvec3< T > & | p1
| ) |  |

Returns the squared distance between p0 and p1, i.e., length(p0 - p1).

From GLM_GTX_norm extension.

T glm::gtx::norm::distance2 | ( | const detail::tvec4< T > & | p0,
|  | const detail::tvec4< T > & | p1
| ) |  |

Returns the squared distance between p0 and p1, i.e., length(p0 - p1).

From GLM_GTX_norm extension.

T glm::gtx::norm::distance2 | ( | const detail::tvec2< T > & | p0,
|  | const detail::tvec2< T > & | p1
| ) |  |

Returns the squared distance between p0 and p1, i.e., length(p0 - p1).

From GLM_GTX_norm extension.

T glm::gtx::norm::l1Norm | ( | const detail::tvec3< T > & | x,
|  | const detail::tvec3< T > & | y
| ) |  |

Returns the L1 norm between x and y.

From GLM_GTX_norm extension.

T glm::gtx::norm::l1Norm | ( | const detail::tvec3< T > & | v | ) |

Returns the L1 norm of v.

From GLM_GTX_norm extension.

T glm::gtx::norm::l2Norm | ( | const detail::tvec3< T > & | x | ) |

Returns the L2 norm of v.

From GLM_GTX_norm extension.

T glm::gtx::norm::l2Norm | ( | const detail::tvec3< T > & | x,
|  | const detail::tvec3< T > & | y
| ) |  |

Returns the L2 norm between x and y.

From GLM_GTX_norm extension.

T glm::gtx::norm::length2 | ( | const detail::tvec4< T > & | x | ) |

Returns the squared length of x.

From GLM_GTX_norm extension.

T glm::gtx::norm::length2 | ( | const T | x | ) |

Returns the squared length of x.

From GLM_GTX_norm extension.

T glm::gtx::norm::length2 | ( | const detail::tvec2< T > & | x | ) |

Returns the squared length of x.

From GLM_GTX_norm extension.

T glm::gtx::norm::length2 | ( | const detail::tvec3< T > & | x | ) |

Returns the squared length of x.

From GLM_GTX_norm extension.

T glm::gtx::norm::length2 | ( | const detail::tquat< T > & | q | ) |

Returns the squared length of x.

From GLM_GTX_norm extension.

T glm::gtx::norm::lxNorm | ( | const detail::tvec3< T > & | x,
|  | unsigned int | Depth
| ) |  |

Returns the L norm of v.

From GLM_GTX_norm extension.

T glm::gtx::norm::lxNorm | ( | const detail::tvec3< T > & | x,
|  | const detail::tvec3< T > & | y,
|  | unsigned int | Depth
| ) |  |

Returns the L norm between x and y.

From GLM_GTX_norm extension.